> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Organization categories

> Lists the expense categories that the organization has configured. The expense categories are tied to a specific expense type. For example the ReceiptVerification expense type may have categories named **Travel**, **Hotel** and **Entertainment**.

When listing categories for ReceiptVerification a scanResultId can be provided which comes from an already scanned receipt image when [uploading content](https://developer.findity.com/reference/createcontent) or when [performing a scan](https://developer.findity.com/reference/triggercontentaction) on a saved content. Then this endpoint may return 0-3 suggestions on expense categories that matches the receipt image. The order of the suggestions is based on highest probability.

When the organization uses employee groups, per diem categories that are restricted to an employee group the user is not in are not listed.



## OpenAPI

````yaml openapi/findity-expense-api.json GET /me/organizations/{id}/expensetypes/{expenseType}/categories
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/organizations/{id}/expensetypes/{expenseType}/categories:
    get:
      tags:
        - Organizations
      summary: Organization categories
      description: >-
        Lists the expense categories that the organization has configured. The
        expense categories are tied to a specific expense type. For example the
        ReceiptVerification expense type may have categories named **Travel**,
        **Hotel** and **Entertainment**.


        When listing categories for ReceiptVerification a scanResultId can be
        provided which comes from an already scanned receipt image when
        [uploading
        content](https://developer.findity.com/reference/createcontent) or when
        [performing a
        scan](https://developer.findity.com/reference/triggercontentaction) on a
        saved content. Then this endpoint may return 0-3 suggestions on expense
        categories that matches the receipt image. The order of the suggestions
        is based on highest probability.


        When the organization uses employee groups, per diem categories that are
        restricted to an employee group the user is not in are not listed.
      operationId: getOrganizationCategories
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/expenseTypePath'
        - name: scanResultId
          in: query
          required: false
          description: >-
            A scan result to get suggested categories from. If included 0-3
            suggestions will be included.
          schema:
            $ref: '#/components/schemas/Uuid'
        - $ref: '#/components/parameters/max'
        - $ref: '#/components/parameters/offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArrayOfCategories'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
              examples:
                expense type not found:
                  value:
                    result: error
                    code: EXPENSE_TYPE_NOT_FOUND
                    description: Failed to get expense type
                organization not found:
                  value:
                    result: error
                    code: ORGANIZATION_NOT_FOUND
                    description: >-
                      Failed to get organization for id:
                      b0d18fe3c5864d05a05ce5656cb14696
components:
  parameters:
    organizationId:
      in: path
      name: id
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    expenseTypePath:
      in: path
      name: expenseType
      required: true
      description: >-
        Expense type where CarSpecification relates to Mileage,
        SubsistenceAllowance to Per Diem, etc
      schema:
        type: string
        enum:
          - CarSpecification
          - FoodBenefitsSpecification
          - FuelBenefitsSpecification
          - ReceiptVerification
          - SubsistenceAllowance
      example: ReceiptVerification
    max:
      name: max
      in: query
      description: max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset:
      name: offset
      in: query
      description: the offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
  schemas:
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    ArrayOfCategories:
      type: object
      properties:
        meta:
          properties:
            count:
              type: integer
            total:
              type: integer
            sections:
              $ref: '#/components/schemas/Section'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Category'
        suggestions:
          type: array
          items:
            $ref: '#/components/schemas/Category'
      example:
        meta:
          count: 4
          total: 4
          sections:
            - id: 0
              text: Suggestions
            - id: 1
              text: General expenses
            - id: 2
              text: Representation
        data:
          - id: 7cba84cad5d344dc8a2d866702c9e64a
            name: Ticket
            section: 1
            iconUrl: >-
              https://expense.findity.com/api/resources/d824240167f84891be71e9b4ba820cf9
            type: OtherExpenseCategory
          - id: faccadb954cc4a4884265da8616e9f94
            name: Parking
            section: 1
            iconUrl: >-
              https://expense.findity.com/api/resources/a77fde810a25448da17d6187156ab296
            type: OtherExpenseCategory
          - id: 1a6d6846fda243e7a94ef0c7aa37b9ce
            name: Travel
            section: 1
            iconUrl: >-
              https://expense.findity.com/api/resources/6f52b24eb4ba482baaa34cb87bd1831c
            type: OtherExpenseCategory
          - id: edc4479716ce4f888629d39827a011b7
            name: Entertainment
            section: 2
            iconUrl: >-
              https://expense.findity.com/api/resources/f01e168be84e461593453fe5edd919ae
            type: RepresentationExpenseCategory
        suggestions:
          - id: 7cba84cad5d344dc8a2d866702c9e64a
            name: Ticket
            section: 0
            iconUrl: >-
              https://expense.findity.com/api/resources/d824240167f84891be71e9b4ba820cf9
            type: OtherExpenseCategory
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    Section:
      type: array
      items:
        properties:
          id:
            type: integer
          text:
            type: string
    Category:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/Uuid'
        name:
          type: string
        section:
          type: integer
        type:
          type: string
          enum:
            - OtherExpenseCategory
            - RepresentationExpenseCategory
            - SubsistenceAllowanceCategory
            - AbroadPurchaseExpenseCategory
            - MileageExpenseCategory
            - FuelBenefitsExpenseCategory
            - FoodBenefitsExpenseCategory
        iconUrl:
          type: string
          format: uri
      example:
        id: 7cba84cad5d344dc8a2d866702c9e64a
        name: Ticket
        section: 1
        iconUrl: >-
          https://expense.findity.com/api/resources/d824240167f84891be71e9b4ba820cf9
        type: OtherExpenseCategory
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````